﻿using HR.Service;
using ServiceStack.Mvc;
using ServiceStack.WebHost.Endpoints;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;

namespace HR.Mvc
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication
    {
        public class HrAppHost : AppHostBase
        {
            public HrAppHost() : base("HR Service", typeof(EmployeeService).Assembly)
            {
            }

            public override void Configure(Funq.Container container)
            {
                container.Register<IEmployeeService>(x => new EmployeeService());

                ControllerBuilder.Current.SetControllerFactory(new FunqControllerFactory(container));
            }
        }

        protected void Application_Start()
        {
            new HrAppHost().Init();

            AreaRegistration.RegisterAllAreas();

            WebApiConfig.Register(GlobalConfiguration.Configuration);
            FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
            RouteConfig.RegisterRoutes(RouteTable.Routes);
            BundleConfig.RegisterBundles(BundleTable.Bundles);
        }
    }
}