create database hr
go
use hr
go
create table EmployeeType
(
	Id int identity,
	Name varchar(100) not null,
	Salary decimal(14,2) not null,
	constraint PK_EmployeeType primary key clustered
	(Id) on [primary]
)
go
create table Employee
(
	Id int identity,
	Name varchar(250) not null,
	EmployeeTypeId int not null,
	Address varchar(250) not null,
	Telephone varchar(20) not null,
	EmploymentDate date not null,
	constraint PK_Employee primary key clustered
	(Id) on [primary]
)
ALTER TABLE Employee ADD 
      CONSTRAINT FK_employee_employeetype
      FOREIGN    KEY (EmployeeTypeId)
      REFERENCES EmployeeType(Id)
GO
create table Shop
(
	Id int identity,
	Name varchar(250) not null, 
	Address varchar(500) null, 
	Telephone varchar(20) null,
	constraint PK_Shop primary key clustered
	(Id) on [primary]
)
go
create table ShopEmployee
(
	Id int identity, 
	ShopId int not null, 
	EmployeeId int not null,
	Active bit not null default 1
	constraint PK_ShopEmployee primary key clustered
	(Id) on [primary]
)
go
ALTER TABLE ShopEmployee ADD 
      CONSTRAINT FK_ShopEmployee_Employee
      FOREIGN    KEY (EmployeeId)
      REFERENCES Employee(Id)
GO
ALTER TABLE ShopEmployee ADD 
      CONSTRAINT FK_ShopEmployee_Shop
      FOREIGN    KEY (ShopId)
      REFERENCES Shop(Id)
GO

